Company logoTrust Center Documentation

Get update

Retrieve an update, its audience, delivery results, follow-up links, and editor options. Browse request parameters, authentication requirements, response…

Retrieve an update, its audience, delivery results, follow-up links, and editor options.

GET
/api/v1/updates/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Update ID

Response Body

application/json

curl -X GET "https://app.orbiqhq.com/api/v1/updates/string"
{
  "update": {
    "id": "string",
    "title": "string",
    "slug": "string",
    "summary": "string",
    "description_md": "string",
    "status": "draft",
    "classification": "string",
    "access_level": "public",
    "send_mode": "none",
    "channels": [
      "trust_center"
    ],
    "scheduled_at": "2019-08-24T14:15:22Z",
    "scheduled_timezone": "Europe/Berlin",
    "published_at": "2019-08-24T14:15:22Z",
    "effective_at": "2019-08-24T14:15:22Z",
    "effective_timezone": "America/New_York",
    "order": "asc",
    "parent": "string",
    "template": "string",
    "documents": [
      {
        "id": "string",
        "documents_id": "string"
      }
    ],
    "subprocessors": [
      {
        "id": "string",
        "subprocessors_id": "string"
      }
    ]
  },
  "audience": {
    "accounts": [
      {}
    ],
    "contacts": [
      {}
    ],
    "documents": [
      {}
    ],
    "subprocessors": [
      {}
    ]
  },
  "deliveryNotifications": [
    {
      "id": "string",
      "email": "user@example.com",
      "recipientType": "subscriber",
      "result": "sent",
      "error": "string",
      "dateCreated": "2019-08-24T14:15:22Z"
    }
  ],
  "canAddFollowUp": true,
  "followUps": [
    {
      "id": "string",
      "title": "string"
    }
  ],
  "followUpRootId": "string",
  "hasFollowUps": true,
  "options": {
    "tenant_timezone": "string",
    "subscription_enabled": true,
    "defaultEffectiveAt": "2026-06-15T09:00",
    "followUpDefaults": {
      "parent": "string",
      "classification": "string",
      "access_level": "public",
      "channels": [
        "trust_center"
      ],
      "effective_at": "string",
      "effective_timezone": "string",
      "document_ids": [
        "string"
      ],
      "subprocessor_ids": [
        "string"
      ],
      "account_ids": [
        "string"
      ],
      "contact_ids": [
        "string"
      ]
    },
    "categories": [
      {
        "id": "string",
        "title": "string"
      }
    ],
    "classifications": [
      {
        "id": "string",
        "title": "string",
        "color": "string",
        "translations": [
          {
            "languages_code": "de-DE",
            "title": "string"
          }
        ],
        "custom_fields": [
          {
            "title": "string",
            "translations": [
              {
                "languages_code": "de-DE",
                "title": "string"
              }
            ],
            "options": [
              {
                "value": "string",
                "label": [
                  {
                    "languages_code": "string",
                    "translation": "string"
                  }
                ]
              }
            ]
          }
        ]
      }
    ],
    "classificationTemplates": [
      {
        "id": "string",
        "title": "string",
        "color": "string",
        "translations": [
          {
            "languages_code": "de-DE",
            "title": "string"
          }
        ],
        "custom_fields": [
          {
            "title": "string",
            "translations": [
              {
                "languages_code": "de-DE",
                "title": "string"
              }
            ],
            "options": [
              {
                "value": "string",
                "label": [
                  {
                    "languages_code": "string",
                    "translation": "string"
                  }
                ]
              }
            ]
          }
        ]
      }
    ],
    "documents": [
      {
        "id": "string",
        "title": "string"
      }
    ],
    "certifications": [
      {
        "id": "string",
        "title": "string"
      }
    ],
    "subprocessors": [
      {
        "id": "string",
        "title": "string"
      }
    ],
    "contacts": [
      {
        "id": "string",
        "first_name": "string",
        "last_name": "string",
        "email": "user@example.com",
        "account": "string",
        "hasNda": true,
        "review_status": "string"
      }
    ],
    "accounts": [
      {
        "id": "string",
        "title": "string"
      }
    ],
    "templates": [
      {
        "id": "string",
        "title": "string",
        "summary": "string",
        "description_md": "string",
        "badge": "string",
        "tenant": "string",
        "category": "string"
      }
    ],
    "parents": [
      {
        "id": "string",
        "title": "string"
      }
    ]
  }
}
Empty
Empty

How is this guide?